::::::::::::::::::::::::::::::::::::::
::                                  ::
::       BLOODLINES TC (beta)       ::
::     by Necrosoft Productions     ::
::               plus               ::
::     Sin Campaign by Daedalus     ::
::                                  ::
::::::::::::::::::::::::::::::::::::::

@ECHO OFF
CLS

IF NOT EXIST Z:\MEM.com GOTO nope
SET wd=BLUDLINE
TYPE %wd%\TITLE.txt
COPY %wd%\SND.rfs>nul
TYPE %wd%\TITLE.txt
COPY %wd%\BLBETA.ini>nul
TYPE %wd%\TITLE.txt
COPY %wd%\MAP\*.map>nul
TYPE %wd%\TITLE.txt
COPY SURFACE.dat SURFACE.bme>nul
COPY %wd%\SURFACE.dat>nul
TYPE %wd%\TITLE.txt
COPY TILES004.art TILES004.bme>nul
COPY TILES006.art TILES006.bme>nul
COPY TILES007.art TILES007.bme>nul
COPY TILES008.art TILES008.bme>nul
COPY TILES013.art TILES013.bme>nul
COPY TILES014.art TILES014.bme>nul
COPY TILES015.art TILES015.bme>nul
IF EXIST TILES018.art COPY TILES018.art TILES018.bme>nul
TYPE %wd%\TITLE.txt
COPY %wd%\*.art>nul
TYPE %wd%\TITLE.txt
COPY SOUNDS.rff SOUNDS.bme>nul
BARF SOUNDS.rff -a %wd%\RAW\*.raw>nul
TYPE %wd%\TITLE.txt
BARF SOUNDS.rff -a @SND.rfs>nul
TYPE %wd%\TITLE.txt
::---------------------------
BLOOD -ini BLBETA.ini>error.txt
::---------------------------
DEL SOUNDS.rff
REN SOUNDS.bme SOUNDS.rff
DEL SURFACE.dat
REN SURFACE.bme SURFACE.dat
DEL TILES004.art
DEL TILES006.art
DEL TILES007.art
DEL TILES008.art
DEL TILES013.art
DEL TILES014.art
DEL TILES015.art
DEL TILES018.art
REN TILES004.bme TILES004.art
REN TILES006.bme TILES006.art
REN TILES007.bme TILES007.art
REN TILES008.bme TILES008.art
REN TILES013.bme TILES013.art
REN TILES014.bme TILES014.art
REN TILES015.bme TILES015.art
IF EXIST TILES018.bme REN TILES018.bme TILES018.art
DEL ble1l*.map
DEL ble2l*.map
DEL ble3l*.map
DEL SINC*.map
DEL BLBETA.ini
GOTO end

:nope
TITLE=BMError...
ECHO.
ECHO.
ECHO.
ECHO.
ECHO              Can't run in the command prompt, use DOSBox instead
ECHO              and drag this BAT file onto its icon on the desktop.
ECHO.
ECHO                              Hit any key to exit
PAUSE>nul

:end
CLS
ECHO.
ECHO [37;40m All files restored!
ECHO.
ECHO  Script by BME/ILMHB 2014
ECHO.